Google Cloud Compute Resource does not support Shared VPC
Status: New   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.14.1

Bugzilla link: 1796345 Red Hat JIRA:  

Pull request:    

Description

When creating a new host, the only available suggested networks are

from the project that you are attempting to install a new host on.

It does not suggest Networks that are shared from other projects ("XPN"

utility or in other name "Shared VPC")

When you are going to VPC networks of your project on google cloud UI,

it is possible to see two sections of networks:

1. Networks in current project. (The ones that foreman allows you to pick from).

2. Networks shared to my project. (Not available in foreman to choose when creating a new host)

I'm pretty sure the Shared VPC networks are available in the new versions of Google Cloud API, it's just foreman that does not use

them.

and it does not look like you added this feature in the next foreman versions (1.15 and so on..)

right now my organization can't keep creating new hosts on google cloud via foreman since we are using Shared VPC on almost all

of our projects (~100 projects)

Related issues:

Related to Foreman - Bug #28418: Subnetwork support in Google Cloud compute r... New

Related to Foreman - Bug #14282: Foreman GCE can't create new host on custom ... New

History

#1 - 06/26/2018 09:38 AM - Tomer Brisker

- Tracker changed from Bug to Feature

- Priority changed from Urgent to Normal

- Triaged set to No

This has never functioned, moving to feature request.

#2 - 01/30/2020 08:40 AM - Kavita Gaikwad

- Related to Bug #28418: Subnetwork support in Google Cloud compute resource ? added

#3 - 01/30/2020 08:41 AM - Kavita Gaikwad

- Related to Bug #14282: Foreman GCE can't create new host on custom sub network added

#4 - 01/30/2020 08:48 AM - Kavita Gaikwad

- Bugzilla link set to 1796345

#5 - 01/30/2020 08:49 AM - Kavita Gaikwad
- Assignee set to Kavita Gaikwad

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

